Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Transport_Descriptor_Interface Class Reference

An abstract base class for Transport Property. More...

`#include <Transport_Descriptor_Interface.h>`

Inheritance diagram for TAO_Transport_Descriptor_Interface:

[legend]
Collaboration diagram for TAO_Transport_Descriptor_Interface:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Transport_Descriptor_Interface (void)
| Destructor. More...
virtual TAO_Transport_Descriptor_Interface * | duplicate (void)=0
| This call allocates and copies the contents of this class and returns the pointer. More...
virtual CORBA::Boolean | is_equivalent (const TAO_Transport_Descriptor_Interface *other_prop)=0
| Try to determine if this object is same as the <other_prop>. More...
virtual u_long | hash (void) const=0
| Generate hash value for our class. More...
TAO_Endpoint * | endpoint (void)
| Return the underlying endpoint object. More...
void | set_bidir_flag (CORBA::Boolean flag)
| Set the BiDir flag. More...
## Protected Methods
| TAO_Transport_Descriptor_Interface (void)
| Default Constructor. More...
| TAO_Transport_Descriptor_Interface (TAO_Endpoint *endpoint, CORBA::Boolean flag=0)
| Constructor. More...
## Protected Attributes
TAO_Endpoint * | endpoint_
| The base property of the connection ie. the peer's endpoint. More...
CORBA::Boolean | bidir_flag_
| Should the endpoint be used in either direction? More...
CORBA::Boolean | endpoint_from_heap_
| Is the endpoint allocated on the heap? If so, we will have to delete it when we destruct ourselves. More...

## Detailed Description

An abstract base class for Transport Property.

This class provides an abstract interface and holds minimal info on which the Transport Caching scheme is based on. Concrete connection properties can be got by inheriting from this class and implementing the virtual functions. Note 1: Additional properties for connection like Qos, Priority that the RT folks would need, can be added by inheriting from this class and providing the following methods. 1. duplicate () 2. is_equivalent () 3. hash ()

## Constructor & Destructor Documentation

TAO_Transport_Descriptor_Interface::~TAO_Transport_Descriptor_Interface | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_INLINE TAO_Transport_Descriptor_Interface::TAO_Transport_Descriptor_Interface | ( | void |  | ) | `[protected]`

| Default Constructor.

ACE_INLINE TAO_Transport_Descriptor_Interface::TAO_Transport_Descriptor_Interface | ( | TAO_Endpoint * | endpoint,
|  | CORBA::Boolean | flag = 0
| ) | `[protected]`

| Constructor.

## Member Function Documentation

virtual TAO_Transport_Descriptor_Interface* TAO_Transport_Descriptor_Interface::duplicate | ( | void |  | ) | `[pure virtual]`

| This call allocates and copies the contents of this class and returns the pointer. Reimplemented in TAO_Base_Transport_Property.

ACE_INLINE TAO_Endpoint * TAO_Transport_Descriptor_Interface::endpoint | ( | void |  | ) |

| Return the underlying endpoint object.

virtual u_long TAO_Transport_Descriptor_Interface::hash | ( | void |  | ) | const`[pure virtual]`

| Generate hash value for our class. Reimplemented in TAO_Base_Transport_Property.

virtual CORBA::Boolean TAO_Transport_Descriptor_Interface::is_equivalent | ( | const TAO_Transport_Descriptor_Interface * | rhs | ) | `[pure virtual]`

| Try to determine if this object is same as the <other_prop>. Reimplemented in TAO_Base_Transport_Property.

ACE_INLINE void TAO_Transport_Descriptor_Interface::set_bidir_flag | ( | CORBA::Boolean | flag | ) |

| Set the BiDir flag.

## Member Data Documentation

CORBA::Boolean TAO_Transport_Descriptor_Interface::bidir_flag_`[protected]`

| Should the endpoint be used in either direction?

TAO_Endpoint* TAO_Transport_Descriptor_Interface::endpoint_`[protected]`

| The base property of the connection ie. the peer's endpoint.

CORBA::Boolean TAO_Transport_Descriptor_Interface::endpoint_from_heap_`[protected]`

| Is the endpoint allocated on the heap? If so, we will have to delete it when we destruct ourselves.

The documentation for this class was generated from the following files:

- Transport_Descriptor_Interface.h
- Transport_Descriptor_Interface.cpp
- Transport_Descriptor_Interface.inl